View Issue Details

IDProjectCategoryView StatusLast Update
0003355SOGoWeb Preferencespublic2015-11-03 08:35
Reportergregori Assigned Toludovic  
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Platform[Server] LinuxOSDebianOS Version7 (Wheezy)
Product Version2.3.2 
Fixed in Version2.3.3 
Summary0003355: NSRangeException when trying to open Preferences on web client
Description

When I click on "Preferences", on the webmail client I get a Proxy error:

"Proxy Error

The proxy server received an invalid response from an upstream server.
The proxy server could not handle the request GET /SOGo/so/o35444/preferences.

Reason: Error reading from remote server"

Log gives:
Sep 30 15:30:01 sogod [28168]: |SOGo| starting method 'GET' on uri '/SOGo/so/o35444/preferences'
Sep 30 15:30:01 sogod [28168]: [ERROR] <0x0x7f2a40b06bd0[NGBundleManager]> could not create bundle for path: '/usr/share/GNUstep/Libraries/gnustep-base/Versions/1.22/Resources/SSL.bundle'
EXCEPTION: <NSException: 0x7f2a41439150> NAME:NSRangeException REASON:Index 20 is out of range 20 (in 'objectAtIndex:') INFO:{Array = ("Anivers\U00E1rio", "Neg\U00F3cios", "Liga\U00E7\U00F5es", "Concorr\U00EAncia", Cliente, Favoritos, Acompanhamento, Presentes, Feriados, "Id\U00E9ias", Meeting, Problemas, "Miscel\U00E2nea", Pessoal, Projetos, "Feriado p\U00FAblico", "Posi\U00E7\U00E3o", Fornecedores, Viagem, "F\U00E9rias"); Count = 20; Index = 20; }
Sep 30 15:30:01 sogod [28038]: <0x0x7f2a40da7a60[WOWatchDogChild]> child 28168 exited
Sep 30 15:30:01 sogod [28038]: <0x0x7f2a40da7a60[WOWatchDogChild]> (terminated due to signal 6)
Sep 30 15:30:01 sogod [28038]: <0x0x7f2a40be8150[WOWatchDog]> child spawned with pid 29024

Steps To Reproduce

Click on "Preferences". The window opens with the Proxy error.

Additional Information

The language is set to BrazilianPortuguese.

uname -a

Linux pmj-mail02 3.2.0-4-amd64 0000001 SMP Debian 3.2.57-3+deb7u2 x86_64 GNU/Linux

cat /etc/issue

Debian GNU/Linux 7 \n \l

dpkg -l | grep sogo

ii sogo:amd64 2.3.2-1 amd64 a modern and scalable groupware
ii sogo-activesync 2.3.2-1 amd64 a modern and scalable groupware - ActiveSync module
ii sogo-common 1.3.16-1 all Scalable groupware server - common files

TagsNo tags attached.

Activities

gregori

gregori

2015-09-30 14:40

reporter  

sogo.conf (5,829 bytes)
gregori

gregori

2015-10-02 08:10

reporter   ~0008970

When I set the language to English the error does not happen.

gregori

gregori

2015-10-02 08:24

reporter   ~0008971

I am not sure, but I believe the problem might be on file

/usr/share/GNUstep/SOGo/PreferencesUI.SOGo/Resources/BrazilianPortuguese.lproj/Localizable.strings

Here:

"calendar_category_labels" = "Aniversário,Negócios,Ligações,Concorrência,Cliente,Favoritos,Acompanhamento,Presentes,Feriados,Idéias,Meeting,Problemas,Miscelânea,Pessoal,Projetos,Feriado público,Posição,Fornecedores,Viagem,Férias";

The English version has 21 labels, while there are only 20 in brazilian portuguese. The first 2: Anniversary and Birthday both mean "Aniversário" in Portuguese.

If the number of labels is the problem, I would suggest changing to:

"calendar_category_labels" = "Comemoração,Aniversário,Negócios,Ligações,Concorrência,Cliente,Favoritos,Acompanhamento,Presentes,Feriados,Idéias,Reunião,Problemas,Miscelânea,Pessoal,Projetos,Feriado,Posição,Fornecedores,Viagem,Férias";

I tried changing on my own file, but it seems I must compile sogo in order for the changes to have effect?

ludovic

ludovic

2015-10-23 11:34

administrator   ~0009024

https://github.com/inverse-inc/sogo/commit/df211af604793a61065d3a4f38c922ada6ae089c

ludovic

ludovic

2015-10-23 13:03

administrator   ~0009032

I've just noticed that it stills crash. Note that the Brazilian Portuguese translation still miss 1 string:

Anniversary, Birthday, Business, Calls, Clients, Competition, Customer, Favorites, "Follow up", Gifts, Holidays, Ideas, Meeting, Issues, Miscellaneous, Personal, Projects, "Public Holiday", Status, Suppliers, Travel, Vacation

You MUST have the same number. Please update the translation on Transifex.

gregori

gregori

2015-11-03 07:18

reporter   ~0009067

Actually I believe it's not solved yet. As soon as I noticed the string size difference I went to transifex and updated the translation with a suggestion, but it was not accepted. The english array has 22 strings, brazilian portuguese has 21.

ludovic

ludovic

2015-11-03 07:20

administrator   ~0009068

This is exactly what I said in comment #9032 - please update the translation on Transifex so it matches the same number of elements like the English one.

francis

francis

2015-11-03 08:35

administrator   ~0009069

I approved the suggestion on Transifex and integrated the changes.

https://github.com/inverse-inc/sogo/commit/b62167dd00851661c9d43b87cc6d66cde7f87f2e

Issue History

Date Modified Username Field Change
2015-09-30 14:40 gregori New Issue
2015-09-30 14:40 gregori File Added: sogo.conf
2015-10-02 08:10 gregori Note Added: 0008970
2015-10-02 08:24 gregori Note Added: 0008971
2015-10-23 11:34 ludovic Note Added: 0009024
2015-10-23 11:34 ludovic Status new => resolved
2015-10-23 11:34 ludovic Fixed in Version => 2.3.3
2015-10-23 11:34 ludovic Resolution open => fixed
2015-10-23 11:34 ludovic Assigned To => ludovic
2015-10-23 13:03 ludovic Note Added: 0009032
2015-11-03 07:18 gregori Note Added: 0009067
2015-11-03 07:18 gregori Status resolved => feedback
2015-11-03 07:18 gregori Resolution fixed => reopened
2015-11-03 07:20 ludovic Note Added: 0009068
2015-11-03 08:35 francis Note Added: 0009069
2015-11-03 08:35 francis Status feedback => resolved
2015-11-03 08:35 francis Resolution reopened => fixed